"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.getSoftInputMode = getSoftInputMode;
exports.setAdjustNothing = setAdjustNothing;
exports.setAdjustPan = setAdjustPan;
exports.setAdjustResize = setAdjustResize;
exports.setAdjustUnspecified = setAdjustUnspecified;
exports.setAlwaysHidden = setAlwaysHidden;
exports.setAlwaysVisible = setAlwaysVisible;
exports.setHidden = setHidden;
exports.setSoftInputMode = setSoftInputMode;
exports.setUnchanged = setUnchanged;
exports.setVisible = setVisible;
var _reactNative = require("react-native");
const android = _reactNative.Platform.OS === 'android';
const LINKING_ERROR = `The package 'rn-android-keyboard-adjust' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const RnAndroidKeyboardAdjust = _reactNative.NativeModules.RnAndroidKeyboardAdjust ? _reactNative.NativeModules.RnAndroidKeyboardAdjust : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function setAdjustNothing() {
  if (android) {
    RnAndroidKeyboardAdjust.setAdjustNothing();
  }
}
function setAdjustPan() {
  if (android) {
    RnAndroidKeyboardAdjust.setAdjustPan();
  }
}
function setAdjustResize() {
  if (android) {
    RnAndroidKeyboardAdjust.setAdjustResize();
  }
}
function setAdjustUnspecified() {
  if (android) {
    RnAndroidKeyboardAdjust.setAdjustUnspecified();
  }
}
function setAlwaysHidden() {
  if (android) {
    RnAndroidKeyboardAdjust.setAlwaysHidden();
  }
}
function setAlwaysVisible() {
  if (android) {
    RnAndroidKeyboardAdjust.setAlwaysVisible();
  }
}
function setVisible() {
  if (android) {
    RnAndroidKeyboardAdjust.setVisible();
  }
}
function setHidden() {
  if (android) {
    RnAndroidKeyboardAdjust.setHidden();
  }
}
function setUnchanged() {
  if (android) {
    RnAndroidKeyboardAdjust.setUnchanged();
  }
}
function getSoftInputMode(getter) {
  if (android) {
    RnAndroidKeyboardAdjust.getSoftInputMode(getter);
  }
}
function setSoftInputMode(softInputMode) {
  if (android) {
    RnAndroidKeyboardAdjust.setSoftInputMode(softInputMode);
  }
}
var _default = {
  setAdjustNothing,
  setAdjustPan,
  setAdjustResize,
  setAdjustUnspecified,
  setAlwaysHidden,
  setAlwaysVisible,
  setVisible,
  setHidden,
  setUnchanged,
  getSoftInputMode,
  setSoftInputMode
};
exports.default = _default;
//# sourceMappingURL=index.js.map